ru.bitel.oss.systems.inventory.product.common.event

## Class ServiceLinkModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.oss.systems.inventory.product.common.event.ServiceLinkModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ServiceLinkModifiedEvent
      extends Event

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ServiceLinkModifiedEvent()`
    `` | `ServiceLinkModifiedEvent(int moduleId, int userId, int productSpecId, java.util.List<ProductSpecServiceLink> linkList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ProductSpecServiceLink>` | `getLinkList()`
    `int` | `getProductSpecId()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceLinkModifiedEvent

          protected ServiceLinkModifiedEvent()

    - #### ServiceLinkModifiedEvent

          public ServiceLinkModifiedEvent(int moduleId,
                                          int userId,
                                          int productSpecId,
                                          java.util.List<ProductSpecServiceLink> linkList)

  - ### Method Detail

    - #### getProductSpecId

          public int getProductSpecId()

    - #### getLinkList

          public java.util.List<ProductSpecServiceLink> getLinkList()